Bug 122881 - trying to mount a USB flash card reader (with compact flash card inserted) succeeded 1st time as /dev/sda1 and failed the 2nd time (10 hours later), However /dev/sdb1 mounted successfully
trying to mount a USB flash card reader (with compact flash card inserted) su...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 19:09 EDT by Frank Starmer
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 11:48:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Starmer 2004-05-09 19:09:32 EDT
Description of problem: WHen mounting a 256 Mb Compact Flash Card in a
USB flash card reader, I did the usual sudo mount /dev/sda1 /flash -t
vfat  and then later unmounted using sudo umount /flash.  Several
hours later, I made more photos, mounted with the same command and
received the error message "mount: /dev/sda1 not a valid block
devise". However, I was able to mount as sdb1, i.e. mount /dev/sdb1
/flash -t vfat


Version-Release number of selected component (if applicable):
Test 3

How reproducible:
twice, however, mounting and umounting, one behind another, it seems
that /dev/sdb1 works - so  hmmmmm

Steps to Reproduce:
1. sudo mount /dev/sda1 /flash -t vfat :mount compact flash into a USB
flash memory reader
2. cp /flash/dcim/100nikon/* .
3. sudo umount /flash
4. wait 10 hours (at least that is how long it was between mounts)
5. 
  
Actual results:
mount: /dev/sda1 not a valid block device

Expected results:
expected to mount as /dev/sda1

Additional info:
Comment 1 Frank Starmer 2004-05-09 19:10:57 EDT
Command dump:
[cfs@frank may_09_bridge]$ sudo mount /dev/sda1 /flash -t vfat
Password:
mount: /dev/sda1 is not a valid block device
[cfs@frank may_09_bridge]$ sudo mount /dev/sda /flash -t vfat
mount: /dev/sda is not a valid block device
[cfs@frank may_09_bridge]$ sudo mount /dev/sda4 /flash -t vfat
mount: /dev/sda4 is not a valid block device
[cfs@frank may_09_bridge]$ sudo mount /dev/sdb1 /flash -t vfat
[cfs@frank may_09_bridge]$ cp /flash/dcim/100nikon/* .
[cfs@frank may_09_bridge]$ ls
dscn8032.jpg  dscn8087.jpg  dscn8142.jpg
dscn8033.jpg  dscn8088.jpg  dscn8143.jpg
Comment 2 Frank Starmer 2004-05-17 13:39:27 EDT
The problem can be consistenly demonstrated with the following
sequence. I am using an ImageMate USB flash card reader: ScanDisk Part
SDDR-31.

1) mount the reader (with inserted flash card) to a directory (/flash
in my case:  sudo mount /dev/sda1 /flash -t vfat
2) if there is an error in data transfer, the device appears to time
out with 0 length transfers for all records occurring after the error.
3) unmount the device:  sudo umount /flash
4) Remount the device as sda1 and there will be an error:  Not a valid
block device.  But the device can be remounted as sdb1.
5) if you have an error during a transfer from /dev/sdb1, then the
same timeout sequence, unmount - and remount results in no valid block
device for /dev/sdb1.   The device can now me mounted as sdc1 etc etc etc
Comment 3 Dave Jones 2004-12-08 01:37:58 EST
is this still a problem with teh 2.6.9 updates ?

Note You need to log in before you can comment on or make changes to this bug.